Supercheck LogoSupercheck
Tests API

Replace test tags

Replace all tags for a test with the provided list.

POST
/api/tests/{id}/tags

Authorization

bearerAuth
headerAuthorizationBearer <token>

Project-scoped CLI token (sck_live_* or sck_test_*) for documented API operations that accept bearer authentication. Interactive browser operations may require a session cookie. Trigger keys (sck_trigger_* / legacy job_*) are accepted only by job trigger endpoints.

Path Parameters

id*string

Test ID

Formatuuid

Request Body

application/json
  1. body
tagIds*array<>

Response Body

Updated tag list

application/json
  1. response
[index: integer]?
Example Request
curl -X POST 'https://demo.supercheck.dev/api/tests/497f6eca-6276-4993-bfeb-53cbbbba6f08/tags' \  -H 'Content-Type: application/json' \  -d '{  "tagIds": [    "9c99701b-f191-4642-8bc0-e04053f29131"  ]}'
Example Response
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "color": "string"  }]